Koozali.org formerly Contribs.org

[Announce] Horde 3.1.x RPM's

Offline mrjhb3

  • *
  • 1,187
    • John Bennett Services
[Announce] Horde 3.1.x RPM's
« on: October 14, 2006, 02:19:51 AM »
To all:
DISCLAIMER - For testing purposes only!!!
I am pleased to inform everyone that I have completed the RPM's for the most current stable versions of the horde components.  Those being:
Horde - 3.1.3
Imp - 4.1.3
Turba - 2.1.2
Ingo - 1.1.1
Kronolith - 2.1.2
Nag - 2.1.1
Mnemo - 2.1
Mimp - 1.0
Gollem - 1.0.2
Trean - 0.1 cvs (It still works just fine)
Here is the link - http://mirror.contribs.org/smeserver/contribs//jbennett/sme7/horde3.1.x/

For those of you using the horde 3.0.x RPM's, you should have no troubles upgrading to these.  Yeah, famous last words!  I have been using/testing for quite a while.  All of the additions that I wanted to add to the horde 3.0.x components have been included in this set of RPM's.  Read the changelogs for the details.

Some things that I have noticed while using them.  You will see a lot more queries to the ldap database.  The reason is, from Jan Schneider, horde developer, "This is because you can now create cross-source distribution list, thus we need to search for potential target lists in all sources on every request to build the html widgets.

Jan."

Changing settings don't seem to take effect until you logout, then back in.  I think some changes would take effect right away with the 3.0.x versions.  This may just be inherent to me, it seems I am caching a lot more info than usual, if I ctrl-refresh, I am able to see the effect of some of the changes.

Sometimes, when changing some settings via the options screen, if the screen refreshes you have to go back and choose options and your component again.

If you are using mimp, you will see a lot of fgets, fwrite, and fclose errors in the logs.  From what I can find out, this happens with php 4.3.9, which is what SME 7 uses.  Mimp still functions fine from the webmail screen.  There has been a positive report that mimp does work with the 3.0.x versions.

I have left the task of working on the sync4j stuff to someone else.  The horde wiki has info that talks about being able to sync with horde 3.1, but then states you need to be using a CVS version.  So, I'm not 100% sure that any type of syncing will work.

Don't know at this point how to track bugs.  There is a bug opened to update to horde 3.1, and I have created contribs bugs for the other horde components not included in the base.  If you use those, please make sure to include what version you are having issues with.

I will try and help as much as I can, but some questions may have to be asked on the various horde lists.

Enjoy,

John Bennett
......

[Announce] Horde 3.1.x RPM's
« Reply #1 on: October 15, 2006, 05:39:37 PM »
Thanks John.  I will try them soon.  Maybe put a link to the bug reports here.

Offline mrjhb3

  • *
  • 1,187
    • John Bennett Services
[Announce] Horde 3.1.x RPM's
« Reply #2 on: October 15, 2006, 08:02:38 PM »
Quote from: "gregswallow"
... Maybe put a link to the bug reports here.


I already did that as well.

John
......

[Announce] Horde 3.1.x RPM's
« Reply #3 on: October 15, 2006, 11:06:38 PM »
Bug report for comments on horde/imp/turba/ingo: http://bugs.contribs.org/show_bug.cgi?id=1065

Did you open one for the other rpms? I can't find it..

Offline mrjhb3

  • *
  • 1,187
    • John Bennett Services
[Announce] Horde 3.1.x RPM's
« Reply #4 on: October 16, 2006, 12:19:35 AM »
Quote from: "gregswallow"
Bug report for comments on horde/imp/turba/ingo: http://bugs.contribs.org/show_bug.cgi?id=1065

Did you open one for the other rpms? I can't find it..


Since only horde, imp, turba, and ingo ship with SME 7, people could use the horde 3.1 bug for those.  The others are listed under the contribs section.

John
......

[Announce] Horde 3.1.x RPM's
« Reply #5 on: November 14, 2006, 05:29:49 PM »
After installing last sme updates with yum update in webmail there isn't the bookmarks.
Any idea?

[Announce] Horde 3.1.x RPM's
« Reply #6 on: November 14, 2006, 06:31:03 PM »
From my message log file if I try to access http://localhost/horde/trean
Code: [Select]
Nov 14 17:54:07 mydomain HORDE[5696]: [] trean is not activated [on line 759 of "/home/httpd/html/horde/lib/Horde/Registry.php"]

and in my Registry.php

Code: [Select]
// 260AppRegistryTrean
$this->applications['trean'] = array(
    'fileroot' => dirname(__FILE__) . '/../trean',
    'webroot' => $this->applications['horde']['webroot'] . '/trean',
    'name' => _("Bookmarks"),
    'status' => 'inactive',
    'provides' => 'bookmarks',
    'menu_parent' => 'organizing'
);


Ok, trean is inactive  :lol:  but how I can activate it?
I think can be necessary using template but I don't know how.

Offline mrjhb3

  • *
  • 1,187
    • John Bennett Services
[Announce] Horde 3.1.x RPM's
« Reply #7 on: November 14, 2006, 06:43:56 PM »
Quote from: "progitto"
From my message log file if I try to access http://localhost/horde/trean
Code: [Select]
Nov 14 17:54:07 mydomain HORDE[5696]: [] trean is not activated [on line 759 of "/home/httpd/html/horde/lib/Horde/Registry.php"]

and in my Registry.php

Code: [Select]
// 260AppRegistryTrean
$this->applications['trean'] = array(
    'fileroot' => dirname(__FILE__) . '/../trean',
    'webroot' => $this->applications['horde']['webroot'] . '/trean',
    'name' => _("Bookmarks"),
    'status' => 'inactive',
    'provides' => 'bookmarks',
    'menu_parent' => 'organizing'
);


Ok, trean is inactive  :lol:  but how I can activate it?
I think can be necessary using template but I don't know how.


That's interesting that it's now inactive.  None of the horde rpm's should have gotten installed because the 3.1.x versions are newer.  You can change the 260 template to active, then expand horde's registry.php, log into webmail and all should be good again.

I have not seen this behaviour.  I'll load up my test server and do a fresh install, then install the horde 3.1.x rpms, then do a yum update and see what is trying to be updated to see if I can spot an issue.

John
......

[Announce] Horde 3.1.x RPM's
« Reply #8 on: November 14, 2006, 06:57:05 PM »
Thanks for the help. :pint:

Case history:
- installing horde 3.0 with trean and the other "plug-in"
- yum update last night

everything ok

- installing 3.1 package

trean ko

I'll try to get the same bug with a VMware frash image.

[Announce] Horde 3.1.x RPM's
« Reply #9 on: November 15, 2006, 08:48:37 AM »
Now, all it's ok.
Thanks for the help

Offline mrjhb3

  • *
  • 1,187
    • John Bennett Services
[Announce] Horde 3.1.x RPM's
« Reply #10 on: November 16, 2006, 02:35:51 AM »
Quote from: "progitto"
Now, all it's ok.
Thanks for the help


I know why trean is set to inactive.  When you install the trean rpm, the 260AppRegistryTrean sets it to active, but when you do the updates via yum, e-smith-horde still has the same template so it sets it back to inactive.  I have a bug open to remove the various horde add-on templates that I am trying to maintain, I just need to apply it so it can get rolled out.

But, this looks like it will cause an additional issue, and that being the other horde add-ons will end up being inactive as their template files won't exist anymore, so you will end up having to re-install the other add-on rpm's so you get the new templates.

Looks like something we all will just have to work through.

John
......

[Announce] Horde 3.1.x RPM's
« Reply #11 on: November 16, 2006, 04:08:39 PM »
After an upgrade to Horde 3.1.x admin user left side panel has gone and isn't possible to view word or exel documents as attachments in mail.
...

Offline mrjhb3

  • *
  • 1,187
    • John Bennett Services
[Announce] Horde 3.1.x RPM's
« Reply #12 on: November 16, 2006, 04:25:35 PM »
Quote from: "arnie25"
After an upgrade to Horde 3.1.x admin user left side panel has gone and isn't possible to view word or exel documents as attachments in mail.


I can't duplicate the admin sidepanel issue?  Are you using IE?  
I also have not messed with any of the viewer configurations.  But, the viewers seem to be installed on SME 7.  Edit the horde/mime_drivers.php and change the //260 to /usr/bin/xhtml, the //270 to /usr/bin/ppthtml and let me know if that corrects it for the viewers.

John

[edit]

There is more that needs to be done.  You also need to edit 100mimedrivers and make sure you register msexcel and/or mspowerpoint, and in the 260 and/or 270 sections change inline to true.

Going forward, you will need to make a custom template of these options as I don't plan on setting them by default.
......

boss_hog

[Announce] Horde 3.1.x RPM's
« Reply #13 on: November 16, 2006, 06:45:02 PM »
Hi John,
thanks for your efforts as always!
This may seem like a silly question but ....
do we still need to use a script for proper installation??
The SME7/horde <dir> doesn't have a script, so the assumption
would be to just do rpm -Uvh *rpm?

Thanks

Offline mrjhb3

  • *
  • 1,187
    • John Bennett Services
[Announce] Horde 3.1.x RPM's
« Reply #14 on: November 16, 2006, 07:25:16 PM »
Quote from: "boss_hog"
Hi John,
thanks for your efforts as always!
This may seem like a silly question but ....
do we still need to use a script for proper installation??
The SME7/horde <dir> doesn't have a script, so the assumption
would be to just do rpm -Uvh *rpm?

Thanks


Yes, or a yum localinstall *.rpm.  I'm through with scripts as it makes it a pain when upgrading.  

John
......

[Announce] Horde 3.1.x RPM's
« Reply #15 on: November 20, 2006, 03:41:12 PM »
Hi everyone,

Has anyone had any luck getting an Outlook Client to Sync up with Horde 3.1 yet?

Cheers,
...
Nick

"No good deed goes unpunished." :-x...

Offline mrjhb3

  • *
  • 1,187
    • John Bennett Services
[Announce] Horde 3.1.x RPM's
« Reply #16 on: November 20, 2006, 04:43:45 PM »
Quote from: "NickCritten"
Hi everyone,

Has anyone had any luck getting an Outlook Client to Sync up with Horde 3.1 yet?

Cheers,


There is some vague information about syncing with horde 3.1 in their wiki, but if you get it to work, you won't get much to sync unless you are using the CVS versions.  The horde developers are spending a lot of time on synching capabilities, if your interested join the horde sync list.  From what I can gather, full syncing support won't be supported until horde 3.2.

People have reported some various successes with syncing using egroupware, but the sync code they are using comes from horde as well.

John
......

[Announce] Horde 3.1.x RPM's
« Reply #17 on: November 20, 2006, 04:50:09 PM »
Ah.. I was under the impression that 3.1 was the holy grail of Outlook syncing with a Linux server (Open-source Server software & Open source Connector)

Ho Hum.
...
Nick

"No good deed goes unpunished." :-x...

maedli

[Announce] Horde 3.1.x RPM's
« Reply #18 on: November 25, 2006, 11:30:44 PM »
Quote from: "NickCritten"
Hi everyone,

Has anyone had any luck getting an Outlook Client to Sync up with Horde 3.1 yet?

Cheers,


I have had some luck in getting Outlook to sync with Horde 3.1. Currently I'm using Nexthaus SyncJE and it is working flawlessly.

The problem I have left, is that the synced items have the username 'username' and the items created in the webclient have the username 'user@domain.tld'. Because of this I cannot see the synced items in the webclient.  I can see the synced items via phpmyadmin and if I change the username I can see them in the webclient.
Items created in the webclient doesn't get synced into Outlook either.

Anybody with a solution to this problem?

[Announce] Horde 3.1.x RPM's
« Reply #19 on: December 05, 2006, 09:00:52 AM »
Quote from: "mrjhb3"
Quote from: "arnie25"
After an upgrade to Horde 3.1.x admin user left side panel has gone and isn't possible to view word or exel documents as attachments in mail.


I can't duplicate the admin sidepanel issue?  Are you using IE?  
I also have not messed with any of the viewer configurations.  But, the viewers seem to be installed on SME 7.  Edit the horde/mime_drivers.php and change the //260 to /usr/bin/xhtml, the //270 to /usr/bin/ppthtml and let me know if that corrects it for the viewers.

John

[edit]

There is more that needs to be done.  You also need to edit 100mimedrivers and make sure you register msexcel and/or mspowerpoint, and in the 260 and/or 270 sections change inline to true.

Going forward, you will need to make a custom template of these options as I don't plan on setting them by default.


Hi John,

I uninstalled all horde rpm's and reinstalled all the new ones.
After that I edited that you had mentioned and everything is working in horde right now.
Thanks for everything!

Arnie
...

jodahall

[Announce] Horde 3.1.x RPM's
« Reply #20 on: December 08, 2006, 01:52:58 AM »
sorry to be a real newbie dunce here, but what is what there are multiple versions of applications there.  which ones do is use ?? some say smeserver, some say e-smith, some don't have anything at all.  i'm not very comfortable with yum or rpm so i don't want to accidently install the wrong thing.

also what configuration do i have to do to get these working as a groupware app.  i've looked around for a how-to but couldn't find anything.

Offline mrjhb3

  • *
  • 1,187
    • John Bennett Services
[Announce] Horde 3.1.x RPM's
« Reply #21 on: December 08, 2006, 02:02:38 AM »
Quote from: "jodahall"
sorry to be a real newbie dunce here, but what is what there are multiple versions of applications there.  which ones do is use ?? some say smeserver, some say e-smith, some don't have anything at all.  i'm not very comfortable with yum or rpm so i don't want to accidently install the wrong thing.

also what configuration do i have to do to get these working as a groupware app.  i've looked around for a how-to but couldn't find anything.


There is a horde 3.0 versions and there a horde 3.1 version.  Parts of horde 3.0 are installed on a stock SME server.  I have created RPMS for kronolith - calendar, mnemo - notes, nag - tasks, gollem - file manager, trean - bookmark manager, mimp - mobile imp.  None of those are part of a stock server.  The files named e-smith are named as such because that is what they are called in the base.  The smeserver- designates a contrib.  For horde 3.1 all of these RPMS are currently contribs because horde 3.0 is the standard install.  So, you can install whatever packages you want.  You will need to install 2 RPMS for every package.  The actual product install, and the appropriate e-smith- or smeserver- rpm.  Then signal-event post-upgrade ; signal-event reboot so the proper tables are created.

HTH,

John
......

jodahall

[Announce] Horde 3.1.x RPM's
« Reply #22 on: December 08, 2006, 10:37:53 PM »
so just to be sure, hate being such a dunce, but i don't want to mess up my system, i'm planning on downloading and rpm'ing the following, but first here is what i'm using.  stock sme7 system, haven't installed any extra contribs or anything.

I will do a wget on the following files

horde-3.1.3-00sme01.noarch.rpm     --> to update my horde to 3.1 (don't know if i have to)
smeserver-kronolith-1.1-5.noarch.rpm  --> add contrib for calendar (don't know what a contrib is)
kronolith-h3-2.1.4-00sme01.noarch.rpm  --> actual calendar application (guess it's different than the contrib

then run a rpm -Uvh *rpm
then signal-event post-upgrade ; signal-event reboot

when it starts back up.....do i just navigate to http://<mydomain>/webmail and login and will the calendar be there ??

sorry about being stupid, I just don't want to mess up a system that is running fine.

Offline mrjhb3

  • *
  • 1,187
    • John Bennett Services
[Announce] Horde 3.1.x RPM's
« Reply #23 on: December 09, 2006, 01:31:04 AM »
Quote from: "jodahall"
so just to be sure, hate being such a dunce, but i don't want to mess up my system, i'm planning on downloading and rpm'ing the following, but first here is what i'm using.  stock sme7 system, haven't installed any extra contribs or anything.

I will do a wget on the following files

horde-3.1.3-00sme01.noarch.rpm     --> to update my horde to 3.1 (don't know if i have to)
smeserver-kronolith-1.1-5.noarch.rpm  --> add contrib for calendar (don't know what a contrib is)
kronolith-h3-2.1.4-00sme01.noarch.rpm  --> actual calendar application (guess it's different than the contrib

then run a rpm -Uvh *rpm
then signal-event post-upgrade ; signal-event reboot

when it starts back up.....do i just navigate to http://<mydomain>/webmail and login and will the calendar be there ??

sorry about being stupid, I just don't want to mess up a system that is running fine.


Here is what I would do, upgrade horde, imp, turba, ingo and kronolith.  I have not done much testing with running mixed versions of 3.0 and 3.1 although they are supposed to work together according to the horde devs.  Then yes, just browse to yourdomand.com/webmail and the calendar will be there.

John
......

jodahall

[Announce] Horde 3.1.x RPM's
« Reply #24 on: December 09, 2006, 02:58:58 AM »
well i went and did it.....BOOOM.....it seemed to upgrade properly, no errors or anything, but now i've lost my user id's ??  all my user accounts got locked, i had to go in and reset their passwords (unlock accounts) fortunately i didn't have a lot of users.

here is what i did.....

i did a wget on all the rpms of interest.  smeserver ones and the application ones. including horde, imp...etc then did a rpm -Uvh *rpm after that completed correctly i ran a signal-event post-upgrade and after that finished ran a signal-event reboot.

also when i try to add a calendar event it says <user>@<my domain>.com not found and it won't let me add the entry.  even though when i "edit attendees" and go to LDAP it finds the users when i do a search.

is there configuration, permissions that i have to set up ??  i don't know whey it locked all my existing accounts.

i also get errors when trying to add users to my addressbook or local ldap, i expect the local ldap but my addressbook gives me a error saying.

A fatal error has occurred
You must configure a VFS backend.
Details have been logged for the administrator.

Offline mrjhb3

  • *
  • 1,187
    • John Bennett Services
[Announce] Horde 3.1.x RPM's
« Reply #25 on: December 09, 2006, 03:12:39 AM »
Quote from: "jodahall"
well i went and did it.....BOOOM.....it seemed to upgrade properly, no errors or anything, but now i've lost my user id's ??  all my user accounts got locked, i had to go in and reset their passwords (unlock accounts) fortunately i didn't have a lot of users.


That is very odd and the first time someone has said this.  I have never had that happen on any of my tests.  I'll will load my test server again, add users, do a yum update, reboot, upgrade just the horde components you did, then reboot again.  Do you have anything odd in your /var/log/messages.  If you don't mind, I'd like to see it, send it to me a bennettj at johnbennettservices.com

Quote from: "jodahall"
also when i try to add a calendar event it says <user>@<my domain>.com not found and it won't let me add the entry.  even though when i "edit attendees" and go to LDAP it finds the users when i do a search..


Everyone *must* create a default identity in either options/horde/personal information, or options/imp/personal information.  Then check options/calendar and make sure the default calendar is set correctly, it should be.  As a user, you can not add entries to to the local ldap address book, only to your personal address book.  The only entries that show up in the ldap address book are users that you entered via server-manager.  Also user preference settings override any system default settings.  Login as admin, then choose administration in the sidebar, then setup, make sure all the applications say ready and the versions match with what you should have.

John
......

Offline mrjhb3

  • *
  • 1,187
    • John Bennett Services
[Announce] Horde 3.1.x RPM's
« Reply #26 on: December 09, 2006, 05:36:44 PM »
I did this today.  I installed sme7, added 10 users, sent email from each of the 10 users to at least 3 other users, yum update, post-upgrade; reboot, checked server-manager, users fine.  Then I logged in to webmail again as each user, no issues.  Downloaded the RPMS from my contribs site, checked the md5sums and they matched.  Installed the 10 RPMS you should have:
e-smith-horde-1.13.0-15.noarch.rpm
imp-h3-4.1.3-00sme01.noarch.rpm
e-smith-imp-1.13.0-07.noarch.rpm
ingo-h3-1.1.2-00sme01.noarch.rpm
smeserver-kronolith-1.1-5.noarch.rpm
e-smith-ingo-1.1-5.noarch.rpm
kronolith-h3-2.1.4-00sme01.noarch.rpm    
turba-h3-2.1.3-00sme01.noarch.rpm
e-smith-turba-1.7.0-08.noarch.rpm  
horde-3.1.3-00sme01.noarch.rpm

post-upgrade and reboot.  Checked server-manager, no issues with users, added users free/busy information via server-manager (this must be done in order to be able to query a users calendar), logged in as users, created default identities.  Opened Kronolith and added events and invited users.

You error about a horde VFS tells me that either you had an error when doing the post-upgrade, or there may be a templates-custom fragment.

Your /var/log/messages should show any of these errors.  If you don't have it, do a signal-event post-upgrade again and then browse your log before you do the reboot.

John
......

Offline slords

  • ****
  • 235
[Announce] Horde 3.1.x RPM's
« Reply #27 on: December 09, 2006, 11:41:17 PM »
Are these close to being ready to include into the base distribution?  I've been wondering why we aren't including the updated versions of the packages we already have.   Are there things lacking, missing or that different from what we currently have?
"Programming today is a race between software engineers striving to build bigger and better idiot-proof programs,
and the Universe trying to produce bigger and better idiots. So far, the Universe is winning." -- Rich Cook

Offline mrjhb3

  • *
  • 1,187
    • John Bennett Services
[Announce] Horde 3.1.x RPM's
« Reply #28 on: December 10, 2006, 12:05:45 AM »
Quote from: "slords"
Are these close to being ready to include into the base distribution?  I've been wondering why we aren't including the updated versions of the packages we already have.   Are there things lacking, missing or that different from what we currently have?


IMO, yes they are ready (horde, imp, ingo, turba) which match what is included in the base.  There are some things that have been added by me such as the MenuArray settings so that one can choose whether or not to display all of the menu icons or indivudual ones within webmail, an additional template fragment so that if mimp is enabled the horde/conf.php is created with the composite driver, template fragment to add admin@yourdomain.com as an admin for horde, which is needed to administrate the horde permission system for 3.1.x, modified 50localldap template in turba so that the saving of freebusy info can be enabled, etc.  I have documented every change I have made in the various changelogs.

What is not ready is kronolith, which I don't know if you were referring to that as well.  Why it is not is because within kronolith I add a server-manager panel that is just a modified create-user that adds a field so that the users freebusy info can be inputted and saved to the ldap database.

John
......

Offline slords

  • ****
  • 235
[Announce] Horde 3.1.x RPM's
« Reply #29 on: December 10, 2006, 01:56:41 AM »
http://bugs.contribs.org/show_bug.cgi?id=1065

Looks like we might just need to make a little more noise.
"Programming today is a race between software engineers striving to build bigger and better idiot-proof programs,
and the Universe trying to produce bigger and better idiots. So far, the Universe is winning." -- Rich Cook

Horde RPM's or Horde Base
« Reply #30 on: January 01, 2007, 07:29:49 PM »
Hi all

Will the new RPM's allow the client to access the LDAP of different users or still only the main LDAP ?
And will the main LDAP consist of the users shared contacts or still only the contacts listed from withing the server manager ?

I'm wanting to add users to the LDAP for client lookups
The Base Horde included with SME7 does not seem to allow me to add or edit the LDAP addressbook even within webmail.
Does the Horde RPM's allow this ?

I know it's several questions at once, I'm just trying to see if it will really benifit my to install the RPM's or can I simply find a way to edit the LDAP addresses ?
Will the RPM's/Horde 3.1 allow the email client to edit the addressbook ?

OR better yet is there an options to allow LDAP for each users addressbook which I could then add the proper LDAP to my client for lookups.

Please advise on this subject or what options might be best for this use.

Thanks
Steve

Offline mrjhb3

  • *
  • 1,187
    • John Bennett Services
Re: Horde RPM's or Horde Base
« Reply #31 on: January 01, 2007, 09:21:00 PM »
Quote from: "Agent86"
Hi all

Will the new RPM's allow the client to access the LDAP of different users or still only the main LDAP ?
And will the main LDAP consist of the users shared contacts or still only the contacts listed from withing the server manager ?

I'm wanting to add users to the LDAP for client lookups
The Base Horde included with SME7 does not seem to allow me to add or edit the LDAP addressbook even within webmail.
Does the Horde RPM's allow this ?

I know it's several questions at once, I'm just trying to see if it will really benifit my to install the RPM's or can I simply find a way to edit the LDAP addresses ?
Will the RPM's/Horde 3.1 allow the email client to edit the addressbook ?

OR better yet is there an options to allow LDAP for each users addressbook which I could then add the proper LDAP to my client for lookups.

Please advise on this subject or what options might be best for this use.

Thanks
Steve


Steve,

No users save anything to the LDAP database.  The only thing in the ldap db are the users that are added via server-manager.  This has always been the case with SME.  With the new version of turba, you can now have shared address books, so you could create an address book and share it to all users and they could query that.  

I have just tried this and there is something wrong.  First, in conf.php, edit this line - $conf['shares']['source'] = 'sql'; and change to localsql, then edit sources.php and change 'use_shares' => false, to true.  This will give you a my address books icon when looking at address books.  You are then able to create a new address book and grant permissions.  I granted permissions to all autheticated users.  But, when an authenticated user logs in they can't see the shared address book :( .  

I am currently working through the turba lists to see what has been missed.  When this is figured out, I'll open the appropriate bugs.  So, if you want to try to work through this as well, make sure you create custom templates.

Also, the horde, imp, ingo, and turba 3.1 rpms and now part of the base SME 7.1 install, so they have been removed from my contribs site.

John


edit:  Disregard what I said about users not being able to see the shared address books.  They can when they go into address book/options, and add the new address books to be displayed.  Bug 2218 opened - http://bugs.contribs.org/show_bug.cgi?id=2218
......

Addressbooks Horde 3.1
« Reply #32 on: January 02, 2007, 03:20:30 AM »
Hi Thanks for the info

Curious ? I have recently installed the 7.1 and I do not see an options for (add the new address books to be displayed)

I did utilize the sidebar which I was not aware of in 7.0 but very nice feature indeed.

As far as sharing addressbooks goes, are any of the addresses able to be used as a LDAP or only the local LDAP ?

Not that I really need to utilize that now that I've found out about this sidebar feature, but only curious.

Thanks

Offline mrjhb3

  • *
  • 1,187
    • John Bennett Services
Re: Addressbooks Horde 3.1
« Reply #33 on: January 02, 2007, 03:42:42 AM »
Quote from: "Agent86"
Hi Thanks for the info

Curious ? I have recently installed the 7.1 and I do not see an options for (add the new address books to be displayed)

I did utilize the sidebar which I was not aware of in 7.0 but very nice feature indeed.

As far as sharing addressbooks goes, are any of the addresses able to be used as a LDAP or only the local LDAP ?

Not that I really need to utilize that now that I've found out about this sidebar feature, but only curious.

Thanks


Here it is from soup to nuts.  After you have made the two changes I stated before, logout, then back in.  Choose Address book, my address books, create  a shared address book, edit the permissions to your liking.  By default only the creator can see the address book.  Save, logout and login as a new user that should have permissions to the new shared address book.  Choose options, address book, Address books.  You should now see all of the address books you have permission to in the left table.  Move those to the right table and save.  Now, when you click on address book, you will have a dropdown box on the top right.  If you have the correct rights, you can add/edit/delete entries.  You can even compose a new mail and choose entries from any of the address books you have permissions too.

The reason you have to do this is because by default on SME the localsql and localldap address books are set in the prefs.php file.

Currently, no other users other than what is saved via server-manager are saved to the ldap database.

HTH,

JB
......

Horde -Great Answers Here
« Reply #34 on: January 02, 2007, 04:09:05 AM »
Thanks

That really helps, perhaps someday there will be a way to create separate LDAP's and share address books to the created LDAP's as desired

Would be very cool feature.

Thanks again.

Horde ?
« Reply #35 on: January 03, 2007, 03:05:53 PM »
Hi

I curious about the Horde Topics from the Horde site

There is mention of Horde Groupware Suite,Horde Groupware Webmail Edition

Are these RPM's the Groupware Webmail Edition

I love the screenshots from Horde and would like to install the Full Groupware but do not want to mess up my Server Installation

Will SME have the full Groupware in the future ?

Please advise

Offline mrjhb3

  • *
  • 1,187
    • John Bennett Services
Re: Horde ?
« Reply #36 on: January 03, 2007, 03:56:28 PM »
Quote from: "Agent86"
Hi

I curious about the Horde Topics from the Horde site

There is mention of Horde Groupware Suite,Horde Groupware Webmail Edition

Are these RPM's the Groupware Webmail Edition

I love the screenshots from Horde and would like to install the Full Groupware but do not want to mess up my Server Installation

Will SME have the full Groupware in the future ?

Please advise


Those are marketing terms the horde group is using to get the word out that their suite is a "groupware suite".  The same components used in SME are the same components used in the horde Groupware Editions.

IMO, the addition of nag, mnemo, kronolith, and gollem, make an excellent groupware suite.  The only real piece missing for a lot of people is the ability to sync with outlook, which should be fully supported when horde 3.2 is released.

As far as the full groupware suite being added to SME, I guess if enough people call for it, then they could be added.  For now, I maintain the other horde add-on modules, because I use them.

HTH,

John
......

Horde Thanks
« Reply #37 on: January 03, 2007, 08:52:42 PM »
Thanks

I want to add those modules but I'm concerned about how the tape backup will work and what will happen when doing updates etc. ?

I would like to utilize all those features without getting too far from the original installs and breaking something in the process.


Where should my main concerns be on installing these RPM's and since the new 7.1 has 4 of those then I assume I would not need to re-installed them ?

Thanks
Steve

Offline mrjhb3

  • *
  • 1,187
    • John Bennett Services
Re: Horde Thanks
« Reply #38 on: January 03, 2007, 09:10:41 PM »
Quote from: "Agent86"
Thanks

I want to add those modules but I'm concerned about how the tape backup will work and what will happen when doing updates etc. ?

I would like to utilize all those features without getting too far from the original installs and breaking something in the process.


Where should my main concerns be on installing these RPM's and since the new 7.1 has 4 of those then I assume I would not need to re-installed them ?

Thanks
Steve


Tape backup should not be impacted,  all data is still stored in the mysql database.  Even if you have a failure and have to reload and restore and forget to load the other add-on modules, webmail should run fine.  If/when you add the other add-on modules, then you will see that data.  

It depends on what modules you really want.  To start, I would recommend not installing mimp or trean if you aren't familiar with the horde suite.  Those are nice to have's if you have the need.  I use trean to save all of my Internet bookmarks, then when I am on the road and need to get to something, I can login to webmail and have access to my bookmarks.  Plus, trean is not a release level, but works fine for me.  Mimp was created as a cool thing to have on mobile devices.  I haven't been able to test it with my phone, but this is the same version that has been reported to be working with the horde 3.0 components.

Yes, 4 of the modules are integrated into SME 7.1.  These are the same 4 modules that have been bundled with SME since webmail was included.  The other modules just fit right in.  If they are detected, you see them, if not, you don't.

If you have doubts, stand up a test server and test them out.

John
......

nag, mnemo, kronolith, and gollem
« Reply #39 on: January 04, 2007, 03:46:15 AM »
Well thanks a lot for the info I've been reading the cool stuff at the Horde site

I think I will install the nag, mnemo, kronolith, and gollem as suggested.
I would like to see a task list feature someday if one is available for Horde and also curious about (Sort) which was listed on the Horde site.

So to proceed ? I should install the RPM's first, and then follow those 2 steps you suggested earlier

Please confirm that this is what I must do:
Since I have 7.1 I'm assuming no further Horde installation or update needed just the extra modules/packages

STEP 1 ?
I need to install 2 RPMS for every package. The actual product install, and the appropriate e-smith- or smeserver- rpm. Then signal-event post-upgrade ; signal-event reboot so the proper tables are created.
In my case: NagMnemo,Kronolith,and Gollem RPM's-base and RPM's-esmith
then
STEP2 ?
 First, in conf.php, edit this line - $conf['shares']['source'] = 'sql'; and change to localsql, then edit sources.php and change 'use_shares' => false, to true.

Please confirm this

Thanks
Steve

Offline mrjhb3

  • *
  • 1,187
    • John Bennett Services
Re: nag, mnemo, kronolith, and gollem
« Reply #40 on: January 04, 2007, 04:13:29 AM »
Quote from: "Agent86"
Well thanks a lot for the info I've been reading the cool stuff at the Horde site

I think I will install the nag, mnemo, kronolith, and gollem as suggested.
I would like to see a task list feature someday if one is available for Horde and also curious about (Sort) which was listed on the Horde site.


Nag *is* the task list.  Sork - IMO is no longer needed.  The accounts portion has been moved to the horde portal layout and is present in the latest versions included in 7.1, and SME provides for vacation, password changes, and e-mail forwarding.

Quote from: "Agent86"

So to proceed ? I should install the RPM's first, and then follow those 2 steps you suggested earlier

Please confirm that this is what I must do:
Since I have 7.1 I'm assuming no further Horde installation or update needed just the extra modules/packages

STEP 1 ?
I need to install 2 RPMS for every package. The actual product install, and the appropriate e-smith- or smeserver- rpm. Then signal-event post-upgrade ; signal-event reboot so the proper tables are created.
In my case: NagMnemo,Kronolith,and Gollem RPM's-base and RPM's-esmith
then
STEP2 ?
 First, in conf.php, edit this line - $conf['shares']['source'] = 'sql'; and change to localsql, then edit sources.php and change 'use_shares' => false, to true.

Please confirm this

Thanks
Steve


Yes.  But, you don't have to edit the two lines if you don't want to try to use shared address books.  If you do want to try shared address books, then make sure you edit the templates as anything that modifies the horde templates will overwrite any changes made directly to the various conf.php files.

John
......

miroj

Re: Horde ?
« Reply #41 on: January 04, 2007, 01:01:26 PM »
Quote from: "mrjhb3"


As far as the full groupware suite being added to SME, I guess if enough people call for it, then they could be added.  For now, I maintain the other horde add-on modules, because I use them.

HTH,

John


To tell you frankly, I love Horde groupware, and I was asking my self why only web mail part was integrated to SME.

My opinion is that full Horde (groupware) MUST be added to SME as default packages.

My full support.

Miro

Offline kruhm

  • *
  • 680
[Announce] Horde 3.1.x RPM's
« Reply #42 on: January 04, 2007, 02:29:44 PM »
Hi John,

Maybe we should lobby for:
-sme-extras repo (tested packages that function, never replace core packages)
-or sme-contribs repo (untested packages that may replace core packages)?

It would be a good home for packages not included in the core distro.

Any luck with DIMP?

Horde Groupware Full Suite
« Reply #43 on: January 04, 2007, 02:33:20 PM »
Yes I agree this would make SME very appealing even to the new user

Got my vote for full Horde Groupware Webmail Suite

Thanks for the help I'll get those RPM's installed tonight and see how it goes

I need to research the various methods of installing / upgrading etc.
Anyway possible to put this on the SME CD I have and simply select upgrade from the CD ?
I would like to be able to do this via yum in the server-manager, but if thats not possible then I'll use ssh to the konsole etc.

Thanks again I'm looking forward to playing with it tonight


P.S
Would be nice to have a signup page for people to enroll in my horde email service, then I would not have to do it manually.
I have no idea how this may be accomplished but would be nice

Offline mrjhb3

  • *
  • 1,187
    • John Bennett Services
[Announce] Horde 3.1.x RPM's
« Reply #44 on: January 04, 2007, 09:51:03 PM »
Quote from: "kruhm"
Hi John,

Maybe we should lobby for:
-sme-extras repo (tested packages that function, never replace core packages)
-or sme-contribs repo (untested packages that may replace core packages)?

It would be a good home for packages not included in the core distro.

Any luck with DIMP?


I agree that it would be great if we could get a repo for add-ons.  That way they would be in one consistent place instead of how they are located now.  But, If we did that, then we could be in the same boat we were in while trying to upgrade from 6.x to 7 with the chaos of all of the add-ons that were causing upgrade issues that the devs put a lot of extra effort in to make work as smooth as possible.  I think it would take someone to manage the effort and get community buy-in on whether a package gets in or not.  There would need to be criteria, etc. set up so that there would be consistency as well.  That's make take.

No Dimp.  Haven't even looked at it.  I still have a little work that needs to be done on my 6.5 server so I can upgrade to 7.1.  Reference the comment about the add-on chaos.  I had a hand in adding to this chaos.

JB
......

Offline mrjhb3

  • *
  • 1,187
    • John Bennett Services
Re: Horde Groupware Full Suite
« Reply #45 on: January 04, 2007, 09:56:09 PM »
Quote from: "Agent86"
...Yes I agree this would make SME very appealing even to the new user

Got my vote for full Horde Groupware Webmail Suite

Thanks for the help I'll get those RPM's installed tonight and see how it goes

I need to research the various methods of installing / upgrading etc.
Anyway possible to put this on the SME CD I have and simply select upgrade from the CD ?
I would like to be able to do this via yum in the server-manager, but if thats not possible then I'll use ssh to the konsole etc.

Thanks again I'm looking forward to playing with it tonight


P.S
Would be nice to have a signup page for people to enroll in my horde email service, then I would not have to do it manually.
I have no idea how this may be accomplished but would be nice


There is no repo setup for these files.  You need to download them, then do yum localinstall *.rpm.  

I'm pretty sure you can have a signup page.  Do - config setprop horde Administration enabled ; signal-event email-update
then login to horde as admin and look at the horde setup screen and make the appropriate changes.  Click save or generate config, you will get an error that you can't save, but you will be able to see what additions you need to make in your custom templates.

John
......

[Announce] Horde 3.1.x RPM's
« Reply #46 on: January 06, 2007, 01:46:26 AM »
John
What do you recomment?,
If I have SME 7.0 and want to udate to 7.1
Should I upgrade first than install your RPM's, or your RPM's first than upgrade to 7.1, or does it make a difference what order.
SME user and community member since 2005.
Want to install Wordpress in iBay of SME Server?
See my step-by-step How-To wiki here:
http://wiki.contribs.org/Wordpress_Multisite

Offline mrjhb3

  • *
  • 1,187
    • John Bennett Services
[Announce] Horde 3.1.x RPM's
« Reply #47 on: January 06, 2007, 02:28:36 AM »
Quote from: "calisun"
John
What do you recomment?,
If I have SME 7.0 and want to udate to 7.1
Should I upgrade first than install your RPM's, or your RPM's first than upgrade to 7.1, or does it make a difference what order.


If you upgrade to 7.1, you will automatically upgrade horde, imp, turba, and ingo.  Each of those rpm's has an obsolete section for the specific smeserver-menuarray rpm.  

Then, I'd upgrade the other add-ons.  If you are going to run Kronolith, then you need to make sure the additional pear modules are installed as well.

FWIW, in my testing, I tested both ways, and didn't have any issues, but again, that was on a test server.

John
......

Trean
« Reply #48 on: January 07, 2007, 06:09:00 PM »
Can someone please post a screenshot of Trean bookmarks in action

And also the sidebar for fox with Trean if anyone has a screenshot of this working also

Thanks
Steve

Offline mrjhb3

  • *
  • 1,187
    • John Bennett Services
Re: Trean
« Reply #49 on: January 07, 2007, 06:21:12 PM »
Quote from: "Agent86"
Can someone please post a screenshot of Trean bookmarks in action

And also the sidebar for fox with Trean if anyone has a screenshot of this working also

Thanks
Steve


Really not much to see.  Click on the heart, add a bookmark.  Here is something I just did on one of my test servers.
http://www.thebennetthome.com/downloads/sme7/trean.gif

JB
......

Bookmarks Thanks
« Reply #50 on: January 08, 2007, 05:12:33 AM »
Hi and thanks for that bookmarks screenshot.

Regarding installation of the RPMs
In my case: NagMnemo,Kronolith,and Gollem RPM's-base and RPM's-esmith

If I wget the rpms does it matter which directory I'm in when I  download etc. or is there a specific directory I should put them in prior to installing them?

Regarding signal-event post upgrade and signal-event reboot; I assume I need to either type the command below  exact from root or be in the /e-smith directory either way ?

/sbin/e-smith/signal-event post-upgrade
/sbin/e-smith/signal-event reboot

Please confirm
Thanks

PS.
In addition can I install the RPM's and signal a post-upgrade and event reboot in the server manager somehow ?

Offline mrjhb3

  • *
  • 1,187
    • John Bennett Services
Re: Bookmarks Thanks
« Reply #51 on: January 08, 2007, 08:09:25 PM »
Quote from: "Agent86"
Hi and thanks for that bookmarks screenshot.

Regarding installation of the RPMs
In my case: NagMnemo,Kronolith,and Gollem RPM's-base and RPM's-esmith

If I wget the rpms does it matter which directory I'm in when I  download etc. or is there a specific directory I should put them in prior to installing them?

Regarding signal-event post upgrade and signal-event reboot; I assume I need to either type the command below  exact from root or be in the /e-smith directory either way ?

/sbin/e-smith/signal-event post-upgrade
/sbin/e-smith/signal-event reboot

Please confirm
Thanks

PS.
In addition can I install the RPM's and signal a post-upgrade and event reboot in the server manager somehow ?


No, it doesn't matter what directory you are in.  Typically, I ssh to the server, create a temp directory, download the rpm's to that directory, then install them.  yum localinstall *.rpm, then post-upgrade and reboot.  There is no panel which you can use to install the rpms, you can do a reconfigure and reboot from the server-manager backup panel.

JB
......

RPM's Thanks
« Reply #52 on: January 08, 2007, 10:51:13 PM »
That helps thanks

I sort of thought thats what the reconfig and reboot from the server-manager would do, but wanted to make sure

Thanks
Steve

Thanks it works perfect Tasks,Notes,Calendar Etc.
« Reply #53 on: January 09, 2007, 12:39:20 AM »
Thanks alot it was a lot easier then I thought and it worked perfectly all  features appear to be working and functional.

Thanks again

[Announce] Horde 3.1.x RPM's
« Reply #54 on: January 26, 2007, 11:53:46 PM »
Hi,

I have installed all rpm with yum localinstall and did a postupgrade and reboot.

For Calendar and Tasks I have the following error :
DB Error: insufficient permissions
I have a blank page when I try to see the bookmarks page...

This is what I have in my logs :

Jan 27 00:00:18 XXXX HORDE[4374]: [trean] DB Error: insufficient permissions: UPDATE horde_datatree_seq SET id=LAST_INSERT_ID(id+1) [nativecode=1142 ** UPDATE command denied to user 'horde'@'localhost' for table 'horde_datatree_seq'] [on line 454 of "/home/httpd/html/horde/lib/Horde/DataTree/sql.php"]
Jan 27 00:00:18 XXXX HORDE[4374]: PHP Warning:  Illegal offset type in /home/httpd/html/horde/trean/lib/Bookmarks.php on line 77
Jan 27 00:00:18 XXXX HORDE[4374]: PHP Warning:  Illegal offset type in /home/httpd/html/horde/trean/lib/Bookmarks.php on line 78
Jan 27 00:00:18 XXXX HORDE[4374]: PHP Warning:  Illegal offset type in /home/httpd/html/horde/trean/lib/Bookmarks.php on line 79
Jan 27 00:00:18 XXXX HORDE[4374]: PHP Warning:  Illegal offset type in /home/httpd/html/horde/trean/lib/Bookmarks.php on line 80
Jan 27 00:00:18 XXXX HORDE[4374]: PHP Fatal error:  Call to a member function on a non-object in /home/httpd/html/horde/trean/lib/Bookmarks.php on line 80

Jan 27 00:02:57 XXXX HORDE[4037]: [kronolith] DB Error: insufficient permissions: UPDATE horde_datatree_seq SET id=LAST_INSERT_ID(id+1) [nativecode=1142 ** UPDATE command denied to user 'horde'@'localhost' for table 'horde_datatree_seq'] [on line 454 of "/home/httpd/html/horde/lib/Horde/DataTree/sql.php"]
Jan 27 00:02:57 XXXX HORDE[4037]: [kronolith] DB Error: insufficient permissions: UPDATE horde_datatree_seq SET id=LAST_INSERT_ID(id+1) [nativecode=1142 ** UPDATE command denied to user 'horde'@'localhost' for table 'horde_datatree_seq'] [on line 454 of "/home/httpd/html/horde/lib/Horde/DataTree/sql.php"]
Jan 27 00:02:57 XXXX HORDE[4037]: [kronolith] DB Error: insufficient permissions: UPDATE horde_datatree_seq SET id=LAST_INSERT_ID(id+1) [nativecode=1142 ** UPDATE command denied to user 'horde'@'localhost' for table 'horde_datatree_seq'] [on line 454 of "/home/httpd/html/horde/lib/Horde/DataTree/sql.php"]
Jan 27 00:02:57 XXXX HORDE[4037]: [kronolith] DB Error: insufficient permissions: SELECT event_id, event_uid, event_description, event_location, event_status, event_attendees, event_keywords, event_title, event_category, event_recurtype, event_recurenddate, event_recurinterval, event_recurdays, event_start, event_end, event_alarm, event_modified, event_exceptions, event_creator_id FROM kronolith_events WHERE calendar_id = 'nico@guilbert.name' AND ((event_end > '2006-12-31 00:00:00' AND event_start < '2007-02-05 00:00:00') OR (ev
Jan 27 00:02:58 XXXX HORDE[4037]: [kronolith] DB Error: insufficient permissions: UPDATE horde_datatree_seq SET id=LAST_INSERT_ID(id+1) [nativecode=1142 ** UPDATE command denied to user 'horde'@'localhost' for table 'horde_datatree_seq'] [on line 454 of "/home/httpd/html/horde/lib/Horde/DataTree/sql.php"]
Jan 27 00:02:58 XXXX HORDE[4037]: [kronolith] DB Error: insufficient permissions: UPDATE horde_datatree_seq SET id=LAST_INSERT_ID(id+1) [nativecode=1142 ** UPDATE command denied to user 'horde'@'localhost' for table 'horde_datatree_seq'] [on line 454 of "/home/httpd/html/horde/lib/Horde/DataTree/sql.php"]
Jan 27 00:02:58 XXXX HORDE[4037]: [kronolith] DB Error: insufficient permissions: UPDATE horde_datatree_seq SET id=LAST_INSERT_ID(id+1) [nativecode=1142 ** UPDATE command denied to user 'horde'@'localhost' for table 'horde_datatree_seq'] [on line 454 of "/home/httpd/html/horde/lib/Horde/DataTree/sql.php"]


My installation is based on SME 7.1, is this a known problem ?

Thanks

Offline mrjhb3

  • *
  • 1,187
    • John Bennett Services
[Announce] Horde 3.1.x RPM's
« Reply #55 on: January 27, 2007, 01:29:15 AM »
No, there are no more known problems that I know of.  I install these as well.  Did you check/verify the md5sums?  Look at /var/log/messages and look at the various mysql.init events and see if you have any errors.  Is this a fresh 7.1 install or an upgrade?  Were any previous scripts or contribs install on the server?

JB
......

[Announce] Horde 3.1.x RPM's
« Reply #56 on: February 02, 2007, 12:51:56 AM »
Hi JB
I have installed your latest rpm's and just like before, as we have discussed  it before here: http://forums.contribs.org/index.php?topic=31018.0

I am unable to connect to file manager if my ftp settings are set to:
FTP access: Allow only from local networks
FTP password access: Accept passwords only from local networks

Only way I can access file manager is one of two ways:
1) Set FTP access AND password to allow from entire internet
or
2) Change settings as you have described in the post from attached link.
     in backends.php
     'hostspec' => 'localhost',

Nether one of these is ideal since #1 is not secure and #2 is only temporary.
SME user and community member since 2005.
Want to install Wordpress in iBay of SME Server?
See my step-by-step How-To wiki here:
http://wiki.contribs.org/Wordpress_Multisite

Offline mrjhb3

  • *
  • 1,187
    • John Bennett Services
[Announce] Horde 3.1.x RPM's
« Reply #57 on: February 02, 2007, 05:54:03 AM »
Quote from: "calisun"
Hi JB
I have installed your latest rpm's and just like before, as we have discussed  it before here: http://forums.contribs.org/index.php?topic=31018.0

I am unable to connect to file manager if my ftp settings are set to:
FTP access: Allow only from local networks
FTP password access: Accept passwords only from local networks

Only way I can access file manager is one of two ways:
1) Set FTP access AND password to allow from entire internet
or
2) Change settings as you have described in the post from attached link.
     in backends.php
     'hostspec' => 'localhost',

Nether one of these is ideal since #1 is not secure and #2 is only temporary.


I stated back in that thread that I would change it, just never did.  Look for -12 on the mirrors soon.  Please next time raise a bug in the bug tracker, there is an item for all of the horde add-ons.  I did not get an email that you have posted back to this thread, so just lucky I was looking around tonight.  Also, you could create a custom-template of 100LocalFTP and set whatever you like and the settings would not be temporary.

JB
......

[Announce] Horde 3.1.x RPM's
« Reply #58 on: February 02, 2007, 05:41:50 PM »
Thanks John, I will check often for -12 release.

PS. I heard that you will be in San Francisco for vacation this month.
If you need a guide in San Francisco on your vacation, let me know, I live 20 minute drive from SF.
My wife likes to go to SF to play a tourist for a day.
SME user and community member since 2005.
Want to install Wordpress in iBay of SME Server?
See my step-by-step How-To wiki here:
http://wiki.contribs.org/Wordpress_Multisite

Offline mrjhb3

  • *
  • 1,187
    • John Bennett Services
[Announce] Horde 3.1.x RPM's
« Reply #59 on: February 03, 2007, 02:12:21 AM »
Quote from: "calisun"
Thanks John, I will check often for -12 release.

PS. I heard that you will be in San Francisco for vacation this month.
If you need a guide in San Francisco on your vacation, let me know, I live 20 minute drive from SF.
My wife likes to go to SF to play a tourist for a day.


Thanks for the offer.  I will be in SF with my inlaws.  They live in the area and pretty much keep the family on the go.  I will try to remember that for the future.  I'd sure like to meet some of the other folks that use this distro.

JB
......

[Announce] Horde 3.1.x RPM's
« Reply #60 on: February 19, 2007, 07:51:50 AM »
John
I have installed: smeserver-gollem.noarch 0:1.0-12
Works like a charm,
thanks.
SME user and community member since 2005.
Want to install Wordpress in iBay of SME Server?
See my step-by-step How-To wiki here:
http://wiki.contribs.org/Wordpress_Multisite

[Announce] Horde 3.1.x RPM's
« Reply #61 on: February 26, 2007, 07:37:21 PM »
John;

I wanted to give this a whirl and the best instructions I could find in the thread was in quotes below. You do not mention the pear*.rpms that are on your site. I am running an SME V7 that has been updated to 7.1. Are the pear*.rpms obsolete?

Does it matter which order I install them in?

Thx in advance for your help.

Quote
I did this today. I installed sme7, added 10 users, sent email from each of the 10 users to at least 3 other users, yum update, post-upgrade; reboot, checked server-manager, users fine. Then I logged in to webmail again as each user, no issues. Downloaded the RPMS from my contribs site, checked the md5sums and they matched. Installed the 10 RPMS you should have:
e-smith-horde-1.13.0-15.noarch.rpm
imp-h3-4.1.3-00sme01.noarch.rpm
e-smith-imp-1.13.0-07.noarch.rpm
ingo-h3-1.1.2-00sme01.noarch.rpm
smeserver-kronolith-1.1-5.noarch.rpm
e-smith-ingo-1.1-5.noarch.rpm
kronolith-h3-2.1.4-00sme01.noarch.rpm
turba-h3-2.1.3-00sme01.noarch.rpm
e-smith-turba-1.7.0-08.noarch.rpm
horde-3.1.3-00sme01.noarch.rpm

post-upgrade and reboot. Checked server-manager, no issues with users, added users free/busy information via server-manager (this must be done in order to be able to query a users calendar), logged in as users, created default identities. Opened Kronolith and added events and invited users.

You error about a horde VFS tells me that either you had an error when doing the post-upgrade, or there may be a templates-custom fragment.

Your /var/log/messages should show any of these errors. If you don't have it, do a signal-event post-upgrade again and then browse your log before you do the reboot.

John

Offline mrjhb3

  • *
  • 1,187
    • John Bennett Services
[Announce] Horde 3.1.x RPM's
« Reply #62 on: February 26, 2007, 07:51:12 PM »
Quote from: "imcintyre"
John;

I wanted to give this a whirl and the best instructions I could find in the thread was in quotes below. You do not mention the pear*.rpms that are on your site. I am running an SME V7 that has been updated to 7.1. Are the pear*.rpms obsolete?

Does it matter which order I install them in?

Thx in advance for your help.

Quote
I did this today. I installed sme7, added 10 users, sent email from each of the 10 users to at least 3 other users, yum update, post-upgrade; reboot, checked server-manager, users fine. Then I logged in to webmail again as each user, no issues. Downloaded the RPMS from my contribs site, checked the md5sums and they matched. Installed the 10 RPMS you should have:
e-smith-horde-1.13.0-15.noarch.rpm
imp-h3-4.1.3-00sme01.noarch.rpm
e-smith-imp-1.13.0-07.noarch.rpm
ingo-h3-1.1.2-00sme01.noarch.rpm
smeserver-kronolith-1.1-5.noarch.rpm
e-smith-ingo-1.1-5.noarch.rpm
kronolith-h3-2.1.4-00sme01.noarch.rpm
turba-h3-2.1.3-00sme01.noarch.rpm
e-smith-turba-1.7.0-08.noarch.rpm
horde-3.1.3-00sme01.noarch.rpm

post-upgrade and reboot. Checked server-manager, no issues with users, added users free/busy information via server-manager (this must be done in order to be able to query a users calendar), logged in as users, created default identities. Opened Kronolith and added events and invited users.

You error about a horde VFS tells me that either you had an error when doing the post-upgrade, or there may be a templates-custom fragment.

Your /var/log/messages should show any of these errors. If you don't have it, do a signal-event post-upgrade again and then browse your log before you do the reboot.

John


The pear rpms are needed if you plan to compose messsges via html in imp.  Since SME Server 7.1 includes horde, imp, turba, ingo, you will no longer find those rpm's on my contribs site.  The only order is that the main package needs to be installed before the smeserver package.

John
......

[Announce] Horde 3.1.x RPM's
« Reply #63 on: February 27, 2007, 12:01:24 AM »
By the "main package" do you mean the rpms without smeserver as the prefix (just want to get this right), then the pears and then the smeserver stuff?

Thx

Quote
gollem-h3-1.0.2-1.noarch.rpm                                           03-Dec-2006 18:22  759K  
 kronolith-h3-2.1.4-00sme01.noarch.rpm                                  04-Dec-2006 17:24  1.6M  
 mimp-h3-1.0-1.noarch.rpm                                               03-Dec-2006 18:22  487K  
 mnemo-h3-2.1.1-00sme01.noarch.rpm                                      03-Dec-2006 18:25  1.2M  
 nag-h3-2.1.2-00sme01.noarch.rpm                                        03-Dec-2006 18:21  1.3M  
 pear-http_request-1.4.0-00sme.noarch.rpm                               15-Dec-2006 22:25   16K  
 pear-net_socket-1.0.6-00sme.noarch.rpm                                 03-Dec-2006 18:22  5.9K  
 pear-net_url-1.0.14-00sme.noarch.rpm                                   03-Dec-2006 18:22  6.7K  
 smeserver-gollem-1.0-12.noarch.rpm                                     01-Feb-2007 23:50   23K  
 smeserver-kronolith-1.1-6.noarch.rpm                                   28-Dec-2006 02:07   53K  
 smeserver-mimp-1.0-11.noarch.rpm                                       03-Dec-2006 18:22   28K  
 smeserver-mnemo-1.1-2.noarch.rpm                                       03-Dec-2006 18:20   24K  
 smeserver-nag-1.1-3.noarch.rpm                                         03-Dec-2006 18:21   26K  
 smeserver-trean-0.1-3.1.noarch.rpm                                     03-Dec-2006 18:22   19K  
 trean-0.1-0.noarch.rpm          

Offline mrjhb3

  • *
  • 1,187
    • John Bennett Services
[Announce] Horde 3.1.x RPM's
« Reply #64 on: February 27, 2007, 04:39:05 AM »
Quote from: "imcintyre"
By the "main package" do you mean the rpms without smeserver as the prefix (just want to get this right), then the pears and then the smeserver stuff?

Thx

Quote
gollem-h3-1.0.2-1.noarch.rpm                                           03-Dec-2006 18:22  759K  
 kronolith-h3-2.1.4-00sme01.noarch.rpm                                  04-Dec-2006 17:24  1.6M  
 mimp-h3-1.0-1.noarch.rpm                                               03-Dec-2006 18:22  487K  
 mnemo-h3-2.1.1-00sme01.noarch.rpm                                      03-Dec-2006 18:25  1.2M  
 nag-h3-2.1.2-00sme01.noarch.rpm                                        03-Dec-2006 18:21  1.3M  
 pear-http_request-1.4.0-00sme.noarch.rpm                               15-Dec-2006 22:25   16K  
 pear-net_socket-1.0.6-00sme.noarch.rpm                                 03-Dec-2006 18:22  5.9K  
 pear-net_url-1.0.14-00sme.noarch.rpm                                   03-Dec-2006 18:22  6.7K  
 smeserver-gollem-1.0-12.noarch.rpm                                     01-Feb-2007 23:50   23K  
 smeserver-kronolith-1.1-6.noarch.rpm                                   28-Dec-2006 02:07   53K  
 smeserver-mimp-1.0-11.noarch.rpm                                       03-Dec-2006 18:22   28K  
 smeserver-mnemo-1.1-2.noarch.rpm                                       03-Dec-2006 18:20   24K  
 smeserver-nag-1.1-3.noarch.rpm                                         03-Dec-2006 18:21   26K  
 smeserver-trean-0.1-3.1.noarch.rpm                                     03-Dec-2006 18:22   19K  
 trean-0.1-0.noarch.rpm          


Yes, that is what I mean.  You don't have to install trean, it's a bookmark manager, or gollem, it a file-manager if you don't want to.

John
......

[Announce] Horde 3.1.x RPM's
« Reply #65 on: February 28, 2007, 04:12:47 AM »
John;

I got everything installed and appears to be working fine on local network. I will try from outside tomorrow while at work. Should be ok as Horde was working before.

Re the shared address books, I tried to follow the bug report and your comments:
Quote
First, in conf.php, edit this line - $conf['shares']['source'] = 'sql'; and change to localsql, then edit sources.php and change 'use_shares' => false, to true

but don't know how to find the conf.php file or the sources.php file. If you could give me a nudge  :oops:  in the correct direction I would appreciate it. After that I assume it is a pico or MC affair to edit the files.

Thx again and much appreciated, from what I see, this suit my purposes.

Ian

Offline mrjhb3

  • *
  • 1,187
    • John Bennett Services
[Announce] Horde 3.1.x RPM's
« Reply #66 on: February 28, 2007, 04:45:15 AM »
Quote from: "imcintyre"
John;

I got everything installed and appears to be working fine on local network. I will try from outside tomorrow while at work. Should be ok as Horde was working before.

Re the shared address books, I tried to follow the bug report and your comments:
Quote
First, in conf.php, edit this line - $conf['shares']['source'] = 'sql'; and change to localsql, then edit sources.php and change 'use_shares' => false, to true

but don't know how to find the conf.php file or the sources.php file. If you could give me a nudge  :oops:  in the correct direction I would appreciate it. After that I assume it is a pico or MC affair to edit the files.

Thx again and much appreciated, from what I see, this suit my purposes.

Ian


If you update to 7.1.1, then all you have to do is - config setprop horde SharedAddressBooks enabled ; signal-event email-update.

John
......

[Announce] Horde 3.1.x RPM's
« Reply #67 on: March 01, 2007, 05:11:56 AM »
John;

I'm still not getting this correctly and I am not sure where the problem lies.
I ran the most recent upgrades through the SEM Server Panel and pushed the reconfigure button. I was at 7.1, I assume that I should be at 7.1.1 although at the bottom of the SME Server page/panel, it lists the version as 7.1 (?)

I puttyed in as root and at the prompt ran

Code: [Select]
config setprop horde SharedAddressBooks enabled

then I ran
Code: [Select]
signal-event email-update

I then reopened Horde and could not find a way to create or share contact lists.

Any help you can lend would be appreciated?

Offline mrjhb3

  • *
  • 1,187
    • John Bennett Services
[Announce] Horde 3.1.x RPM's
« Reply #68 on: March 01, 2007, 05:21:07 AM »
Click on address book, and you should have a My Address Books icon on the top left.
......

[Announce] Horde 3.1.x RPM's
« Reply #69 on: March 01, 2007, 06:42:58 PM »
Nope I am definitely not getting it.

I was using IEv7 to https in. I just tried Firefox 2.0.0.2 with same result.

I updated through the SME Server panel at about 6:00 am EST but still list SME Version 7.1 not 7.1.1 as you mentioned in previous post. Is this a/the glitch. I am updating from SME Server - addons;os;updates as well as  CentOS- os;updates but not SME Server - updates testing

I am not sure how to hunt down the problem and would appreciate your help.

What info do I need to get? Thx in advance.

Ian

Offline mrjhb3

  • *
  • 1,187
    • John Bennett Services
[Announce] Horde 3.1.x RPM's
« Reply #70 on: March 01, 2007, 07:07:45 PM »
Quote from: "imcintyre"
Nope I am definitely not getting it.

I was using IEv7 to https in. I just tried Firefox 2.0.0.2 with same result.

I updated through the SME Server panel at about 6:00 am EST but still list SME Version 7.1 not 7.1.1 as you mentioned in previous post. Is this a/the glitch. I am updating from SME Server - addons;os;updates as well as  CentOS- os;updates but not SME Server - updates testing

I am not sure how to hunt down the problem and would appreciate your help.

What info do I need to get? Thx in advance.

Ian


What I have told you will only work when you have 7.1.1 installed.  Or, you install the new turba rpm from smeupdates.  If you did install updates, then signal-event post-upgrade ; signal-event reboot or reconfiguration from the server-manager panel and still show 7.1, then I don't know what you updated.

There have been some issues with the mirrors not being in sync.

John
......

[Announce] Horde 3.1.x RPM's
« Reply #71 on: March 01, 2007, 07:38:25 PM »
John;

Thx for quick response. There seems to be an issue when sending out email notifications for meetings that the ICalendar attachment promised is not there. It may be an Outlook blocking issue, I don't know. I will keep trying to resolve this and updating. if you have any insight into the Icalendar attachment thing let me know, I am looking through the Horde wiki for hints also.

Ian

[Announce] Horde 3.1.x RPM's
« Reply #72 on: March 07, 2007, 06:29:42 PM »
John;

With the generous help of others, william_syd in particular, I have my update working again and have been able to implement all discussed here.

Thx again.

Ian

[Announce] Horde 3.1.x RPM's
« Reply #73 on: March 27, 2007, 09:30:00 PM »
mrjhb3
Quote
I'm pretty sure you can have a signup page. Do - config setprop horde Administration enabled ; signal-event email-update
then login to horde as admin and look at the horde setup screen and make the appropriate changes. Click save or generate config, you will get an error that you can't save, but you will be able to see what additions you need to make in your custom templates.


I enable horde Administration, but i cant see the way to config a singup page, can you tell me how to doit?
thks

Re: [Announce] Horde 3.1.x RPM's
« Reply #74 on: February 25, 2008, 02:13:24 PM »
Anyone Please confirm this topic.

I already have 7.1.1 installed. and the associated RPM's working perfectly.
I am wondering for shared addressbook do I still need to:
Code:
Quote
First, in conf.php, edit this line - $conf['shares']['source'] = 'sql'; and change to localsql, then edit sources.php and change 'use_shares' => false, to true
and
Code:
Quote
config setprop horde SharedAddressBooks enabled

Or just
Code:
Quote
config setprop horde SharedAddressBooks enabled

I've tried just:
Code:
Quote
config setprop horde SharedAddressBooks enabled
And cannot seem to find anything which will let me share addressbook ?
Does it let me share addressbook with users I desire to share with or just share in general globally.


???
Please confirm this subject, thanks

 
« Last Edit: February 26, 2008, 03:55:47 AM by Agent86 »

Offline mrjhb3

  • *
  • 1,187
    • John Bennett Services
Re: [Announce] Horde 3.1.x RPM's
« Reply #75 on: February 26, 2008, 04:31:51 AM »
I tried to reply to your post, but the code sections were blank, curious.  Anyway, when you do this:
Code: [Select]
config setprop horde SharedAddressBooks enabled

You then need to do this:
Code: [Select]
signal-event email-update

Which adds this -  'use_shares' => true,  - under the //40LocalSQL section.  To now share an address book, you need to login to webmail, address book, you should notice a new icon - My Address Books.  Create an address book, then assign permissions.  If you really want to use groups, then you will need to create those groups via the horde admin section and add your users.  It is pretty tedious to do at the moment, and may be getter if the distro moves to using LDAP for authentication as I believe horde can then be set up to query LDAP for all user and group info.  But, that haven't been testing or confirmed by me.

John
......

Re: [Announce] Horde 3.1.x RPM's
« Reply #76 on: February 26, 2008, 02:06:32 PM »
Hi mrjhb3,
Thanks for the reply.

I'm not getting a My Address Books Icon, I may have to update.
I checked my server manager and it shows version 7.1 but not 7.1.1 etc. so perhaps thats the problem ??

I'm not sure how to confirm my server version other then what it says in the server manager.

Anyhow here is my screen shot:
Located at: http://www.iclbiz.com/steve/horde1.png


Any other pointers would be great, basically I want a few people to be able to see my addressbook. and notes etc. similar to a groupware or similar to ACT would work. Basically a central company addressbook. Which I think this horde feature will do it for me if I can get it working.

Thanks for the help
« Last Edit: February 26, 2008, 02:10:16 PM by Agent86 »

Offline mrjhb3

  • *
  • 1,187
    • John Bennett Services
Re: [Announce] Horde 3.1.x RPM's
« Reply #77 on: February 26, 2008, 02:20:44 PM »
Agent86, you could be running the 2.0 version of turba instead of the 2.1 version.  If so, then you would need to follow the old instructions.  I don't have a 7.1 server to test with, but I believe turba 2.1 was released with SME 7.2.  We are now at SME 7.3 is there any reason that you can't upgrade?

John
......

Re: [Announce] Horde 3.1.x RPM's
« Reply #78 on: February 26, 2008, 04:59:01 PM »
Hi Thanks

No there is no reason I can't upgrade,

I need to do this and had thought that I had this check for automatic upgrades, but it's never really worked that way.

I wonder if it may be simpler for me to backup and save, then do a fresh install of 7.3 and then restore ??

Then reinstall my contribs etc.

Anyhow you could be right about this, I'll try the old method for now and then perhaps do an upgrade this weekend.

I could not find the files I need to edit so I'll have to hunt those down also.

Thanks again for the help.

Offline mrjhb3

  • *
  • 1,187
    • John Bennett Services
Re: [Announce] Horde 3.1.x RPM's
« Reply #79 on: February 27, 2008, 01:14:28 AM »
I would download the 7.3 ISO and upgrade that way instead of trying to use yum.  You will have less chance of running into issues.  If you want to use yum, then you need to make sure you read the wiki on how to upgrade for 7.1.  After you get upgraded if you still have issues, then re-post.

John
......

Re: [Announce] Horde 3.1.x RPM's
« Reply #80 on: February 27, 2008, 01:53:56 AM »
Thanks

I'm burning the iso as I post.

And I'm guessing I can simply select upgrade as listed in the wiki etc.

I am wondering about my data for the upgrade, such as my contribs and joomla etc.

I will want to back this up just incase I have to do a fresh install, but I'm not sure how to backup because I have over 10 gigs of stuff to save, and I don't have a tape drive.

Also for some reason my drive size does not seem to be as large as it's suppose to be. I have 2)60 gig drives and when I installed the disk usage contrib, I only seem to have a 37gb drive for some reason.

Thats another topic though, and one reason why I'm still considering a fresh installation.

Thanks again, I do believe this is why I can't share my addressbook I most likely need an update
I'll post back once I try a few things.
Thanks again.

Offline mrjhb3

  • *
  • 1,187
    • John Bennett Services
Re: [Announce] Horde 3.1.x RPM's
« Reply #81 on: February 27, 2008, 03:32:34 AM »
Yes, I would back up my server before proceeding.  I purchased a DLT8000 drive from ebay for $150.  I back up about 30GB every night and it has been reliable for me.  Just another two cents from me.

JB
......

Re: [Announce] Horde 3.1.x RPM's
« Reply #82 on: February 27, 2008, 05:33:32 AM »
It's a shame, I was not sure if those would work on SME I sold several of those on ebay myself LOL

Thanks